import styles from './PrimaryButton.module.css'

interface Props {
  label?: string
  onClick?: () => void
  type?: 'button' | 'submit'
  disabled?: boolean
}

export function PrimaryButton({ label = 'Подтвердить своп', onClick, type = 'submit', disabled }: Props) {
  return (
    <button type={type} className={styles.btn} onClick={onClick} disabled={disabled}>
      {label}
    </button>
  )
}
